API reference
Connectors
GET
apiKeyheader
AuthorizationBearer <token>An API key from Settings → Developers → API keys.
Success. Writes without read permission return an ID and revision only.
application/json- response
connectors*array<>permissions*array<>curl -X GET 'https://app.italic.com/api/v2/connectors'Example Response
{
"connectors": [
{
"id": "string",
"name": "string",
"accounts": [
{
"id": "string",
"label": "string",
"email": "string",
"status": "string"
}
]
}
],
"permissions": [
{
"tool": "send_email",
"label": "string",
"mode": "ask",
"accounts": {
"property1": "ask",
"property2": "ask"
}
}
]
}PUT
apiKeyheader
AuthorizationBearer <token>An API key from Settings → Developers → API keys.
tool*stringValue in
"send_email""create_event""create_reminder""create_notion_page""send_slack_message""save_to_drive"application/json- body
mode*stringask: drafts wait for approval. allow: Italic acts without asking. off: the app is not used.
Value in
"ask""allow""off"Success. Writes without read permission return an ID and revision only.
application/json- response
permission*curl -X PUT 'https://app.italic.com/api/v2/connectors/permissions/send_email' \
-H 'Content-Type: application/json' \
-d '{
"mode": "ask"
}'Example Response
{
"permission": {
"tool": "send_email",
"label": "string",
"mode": "ask",
"accounts": {
"property1": "ask",
"property2": "ask"
}
}
}PUT
apiKeyheader
AuthorizationBearer <token>An API key from Settings → Developers → API keys.
tool*stringValue in
"send_email""create_event""create_reminder""create_notion_page""send_slack_message""save_to_drive"accountId*stringMatch
^[A-Za-z0-9][A-Za-z0-9._:-]*$Length
1 <= length <= 256application/json- body
mode*stringAs for the app's permission; default uses the app's.
Value in
"ask""allow""off""default"Success. Writes without read permission return an ID and revision only.
application/json- response
permission*curl -X PUT 'https://app.italic.com/api/v2/connectors/permissions/send_email/accounts/string' \
-H 'Content-Type: application/json' \
-d '{
"mode": "ask"
}'Example Response
{
"permission": {
"tool": "send_email",
"label": "string",
"mode": "ask",
"accounts": {
"property1": "ask",
"property2": "ask"
}
}
}DELETE
apiKeyheader
AuthorizationBearer <token>An API key from Settings → Developers → API keys.
id*stringMatch
^[A-Za-z0-9][A-Za-z0-9._:-]*$Length
1 <= length <= 256Success. Writes without read permission return an ID and revision only.
application/json- response
id*stringMatch
^[A-Za-z0-9][A-Za-z0-9._:-]*$Length
1 <= length <= 256deleted*booleancurl -X DELETE 'https://app.italic.com/api/v2/connectors/accounts/string'Example Response
{
"id": "string",
"deleted": true
}